> ## Documentation Index
> Fetch the complete documentation index at: https://pearsdb.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer by ID

> Get a transfer by its id.



## OpenAPI

````yaml GET /v2/transfers/{transfer_id}
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: apps
    description: App Routes
  - name: checkout-sessions
    description: Checkout Session Routes
  - name: disputes
    description: Disputes Routes
  - name: flows
    description: Flow routes
  - name: payments
    description: Payment Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payment-intents
    description: Payment Intent Routes
  - name: payment-methods
    description: Payment Method Routes
  - name: payouts
    description: Payout Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: transactions
    description: Transaction Routes
  - name: transfers
    description: Transfer routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: users
    description: User routes
paths:
  /v2/transfers/{transfer_id}:
    parameters:
      - schema:
          type: string
          format: uuid
        name: transfer_id
        in: path
        required: true
        description: Id of the transfer to fetch
    get:
      tags:
        - transfers
      summary: Get a Transfer
      description: Get a transfer by its id.
      operationId: get-transfer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/transfer'
                description: The `transfer` object.
components:
  schemas:
    transfer:
      type: object
      properties:
        id:
          type: string
          format: uuid
        created:
          type: string
          format: date-time
        user_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - created
            - pending
            - failed
            - completed
            - flagged
        type:
          type: string
          enum:
            - refill
            - payout
            - balance
        amount:
          type: number
        external_data:
          type: object
          properties:
            account_id:
              type: string
            external_id:
              type: string
            platform:
              type: string
              enum:
                - ach
                - paypal
                - venmo
                - visa
                - amazon
                - cash_app
                - intl_bank
                - intl_transfer
                - bank_transfer
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/transaction'
        metadata:
          type:
            - string
            - object
            - 'null'
          description: >-
            Set of key-value pairs that you can attach to an object. This can be
            useful for storing additional information about the object in a
            structured format.
    transaction:
      type: object
      properties:
        id:
          type: integer
        amount:
          type: number
        created:
          type: string
          format: date-time
        source_name:
          type: string
        destination_name:
          type: string
        type:
          type: string
          enum:
            - balance
            - refill
            - payout
            - payment
            - fee
            - surrogate
          description: The general category of the transaction
        metadata:
          type:
            - string
            - object
            - 'null'
          description: >-
            Set of key-value pairs that you can attach to an object. This can be
            useful for storing additional information about the object in a
            structured format.
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````